## krusader 2.6.0

=== CMakeLists.txt ===
project(krusader)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")

set(VERSION "2.6.0" )
set(RELEASE_NAME "Stiff Challenges")

# Manages plugin loading. For more details it can be seen https://www.kde.org/announcements/kde-frameworks-5.5.0.php
# https://github.com/KDE/partitionmanager/blob/master/CMakeLists.txt http://commits.kde.org/kimtoy/1e62777affb0e072f3462e80bc271f3cba661104
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckIncludeFiles)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)

find_package(Qt5 5.5 CONFIG REQUIRED
  Concurrent
  Core
  Gui
  DBus
  Widgets
  PrintSupport
  Xml
)

# determine kf5 version is at least 5.23
message(STATUS "Searching for KF5KIO version 5.23 or newer...")
find_package(KF5 5.23 QUIET COMPONENTS
  KIO
)
if(KF5_FOUND)
  set(KRARC_QUERY_ENABLED TRUE)
  add_definitions( "-DKRARC_QUERY_ENABLED" )
else(KF5_FOUND)
  message(STATUS "KF5KIO version 5.23 or newer not found, some krarc:/ functionality will be disabled.")
  set(KRARC_QUERY_ENABLED FALSE)
endif(KF5_FOUND)

find_package(KF5 REQUIRED COMPONENTS
  Archive
  Bookmarks
  Codecs
  Completion
  CoreAddons
  Config
  DocTools
  I18n
  IconThemes
  ItemViews
  KIO
  Notifications
  Parts
  Solid
  TextWidgets
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
  GuiAddons
)

# Synchronizer is enabled by default, unless disabled from the command line (-DENABLE_SYNCHRONIZER=OFF)
option(ENABLE_SYNCHRONIZER "Enable Synchronizer" ON)

# if an old setting is being used, use the setting that complies with the structure of other Krusader settings
if(ENABLE_SYNCHRONIZER)
    set(SYNCHRONIZER_ENABLED TRUE)
    add_definitions( "-DSYNCHRONIZER_ENABLED" )
else()
    set(SYNCHRONIZER_ENABLED FALSE)
endif()

# For security reasons, absolute kdesu path is set at build time and is not
# configurable.
if(NOT KDESU_PATH)
    set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
endif()
add_definitions( -DKDESU_PATH="${KDESU_PATH}" )

add_definitions(${QT_DEFINITIONS} ${KF5_DEFINITIONS})
add_definitions( "-DKRARC_ENABLED" )
add_definitions( "-DQT_NO_URL_CAST_FROM_STRING" )

check_include_files(attr/libattr.h HAVE_ATTR_LIBATTR_H)
check_include_files(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_files(sys/acl.h HAVE_SYS_ACL_H)
check_include_files(acl/libacl.h HAVE_ACL_LIBACL_H)

if (HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)
    set(ACL_HEADERS_FOUND TRUE)
endif(HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)

if (ACL_HEADERS_FOUND)
    find_library(ACL_LIBS NAMES acl )
    find_library(ATTR_LIBS NAMES attr )
endif(ACL_HEADERS_FOUND)

if (ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
    set(ACL_FOUND TRUE)
    set(ACL_LIBS ${ACL_LIBS} ${ATTR_LIBS})
    message(STATUS "Found ACL support: ${ACL_LIBS}")
    add_definitions(-DHAVE_POSIX_ACL)
endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)

#include(ConfigureChecks.cmake)

add_subdirectory(krusader)
add_subdirectory(pics)
add_subdirectory(doc-extras)
add_subdirectory(krArc)
add_subdirectory(iso)
add_subdirectory(doc)
#add_subdirectory(virt) - not used

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
find_package(KF5DocTools CONFIG REQUIRED)
kdoctools_install(po)

=== krusader/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

configure_file(krusaderversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/krusaderversion.h)

add_subdirectory(ActionMan)
add_subdirectory(Archive)
add_subdirectory(BookMan)
add_subdirectory(Dialogs)
add_subdirectory(DiskUsage)
add_subdirectory(FileSystem)
add_subdirectory(Filter)
add_subdirectory(GUI)
add_subdirectory(Konfigurator)
add_subdirectory(KViewer)
add_subdirectory(JobMan)
add_subdirectory(Locate)
add_subdirectory(MountMan)
add_subdirectory(Panel)
add_subdirectory(Search)
add_subdirectory(Splitter)
add_subdirectory(UserAction)

if(SYNCHRONIZER_ENABLED)
    add_subdirectory(Synchronizer)
endif(SYNCHRONIZER_ENABLED)

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(KRJSDIR)")

set(krusader_SRCS
    krglobal.cpp
    actionsbase.cpp
    tabactions.cpp
    kractions.cpp
    paneltabbar.cpp
    panelmanager.cpp
    krservices.cpp
    main.cpp
    krusaderview.cpp
    krusader.cpp
    krslots.cpp
    kicons.cpp
    krdebuglogger.cpp
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-krusader_user.png")
ecm_add_app_icon(krusader_SRCS ICONS ${ICONS_SRCS})

qt5_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )

add_executable(krusader ${krusader_SRCS} ${krusader_RC_SRCS})

target_link_libraries(krusader
                      Panel
                      BookMan
                      Dialogs
                      DiskUsage
                      GUI
                      Konfigurator
                      KViewer
                      MountMan
                      FileSystem
                      Search
                      Splitter
                      Locate
                      UserAction
                      ActionMan
                      KViewer
                      Filter
                      Dialogs
                      GUI
                      Archive
                      JobMan
                      KF5::Notifications
                      KF5::Parts
                      KF5::WindowSystem
                      Qt5::PrintSupport
                      Qt5::Concurrent
)

if(SYNCHRONIZER_ENABLED)
    target_link_libraries( krusader Synchronizer )
endif(SYNCHRONIZER_ENABLED)

install(TARGETS krusader ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krusader.desktop
        DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES krusaderui.rc
              krusaderlisterui.rc
              krviewer.rc
        DESTINATION ${KXMLGUI_INSTALL_DIR}/krusader)
install(FILES midnight_commander.color
              total_commander.color
              total_commander.keymap
              total_commander.keymap.info
              useraction_examples.xml
              layout.xml
              splash.png
        DESTINATION ${DATA_INSTALL_DIR}/krusader)
install(FILES org.kde.krusader.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
    icons/16-apps-krusader_blue.png
    icons/16-apps-krusader_red.png
    icons/16-apps-krusader_root.png
    icons/16-apps-krusader_user.png
    icons/22-apps-krusader_blue.png
    icons/22-apps-krusader_red.png
    icons/22-apps-krusader_root.png
    icons/22-apps-krusader_shield.png
    icons/22-apps-krusader_user.png
    icons/32-apps-krusader_blue.png
    icons/32-apps-krusader_red.png
    icons/32-apps-krusader_root.png
    icons/32-apps-krusader_shield.png
    icons/32-apps-krusader_user.png
    icons/48-apps-krusader_blue.png
    icons/48-apps-krusader_red.png
    icons/48-apps-krusader_root.png
    icons/48-apps-krusader_shield.png
    icons/48-apps-krusader_user.png
    icons/64-apps-krusader_blue.png
    icons/64-apps-krusader_red.png
    icons/64-apps-krusader_root.png
    icons/64-apps-krusader_shield.png
    icons/64-apps-krusader_user.png
    icons/128-apps-krusader_root.png
    icons/128-apps-krusader_user.png
    DESTINATION ${ICON_INSTALL_DIR}
)

=== krusader/ActionMan/CMakeLists.txt ===
set(ActionMan_SRCS
    actionman.cpp
    actionproperty.cpp
    addplaceholderpopup.cpp
    useractionlistview.cpp
    useractionpage.cpp)

ki18n_wrap_ui (
    ActionMan_SRCS
    actionproperty.ui
)

add_library(ActionMan STATIC ${ActionMan_SRCS})

target_link_libraries(ActionMan
    KF5::ConfigCore
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Parts
    KF5::WidgetsAddons
)

=== krusader/FileSystem/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(FileSystem_SRCS
    defaultfilesystem.cpp
    dirlisterinterface.cpp
    fileitem.cpp
    filesystem.cpp
    filesystemprovider.cpp
    krpermhandler.cpp
    krquery.cpp
    krtrashhandler.cpp
    sizecalculator.cpp
    virtualfilesystem.cpp
    ../../krArc/krlinecountingprocess.cpp
)

add_library(FileSystem STATIC ${FileSystem_SRCS})

target_link_libraries(FileSystem
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
)

if(ACL_FOUND)
    target_link_libraries(FileSystem ${ACL_LIBS})
endif(ACL_FOUND)

=== krusader/GUI/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(GUI_SRCS
    dirhistorybutton.cpp
    krusaderstatus.cpp
    kfnkeys.cpp
    kcmdline.cpp
    syncbrowsebutton.cpp
    profilemanager.cpp
    krremoteencodingmenu.cpp
    krtreewidget.cpp
    krstyleproxy.cpp
    krlistwidget.cpp
    mediabutton.cpp
    kcmdmodebutton.cpp
    terminaldock.cpp)

add_library(GUI STATIC ${GUI_SRCS})

target_link_libraries(GUI
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::Parts
    KF5::Service
    KF5::Solid
    KF5::WidgetsAddons
)

=== krusader/JobMan/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(JobMan_SRCS
    jobman.cpp
    krjob.cpp)

add_library(JobMan STATIC ${JobMan_SRCS})

target_link_libraries(JobMan
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

=== krusader/KViewer/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(KViewer_SRCS
    krviewer.cpp
    panelviewer.cpp
    diskusageviewer.cpp
    lister.cpp)

add_library(KViewer STATIC ${KViewer_SRCS})

target_link_libraries(KViewer
    Qt5::PrintSupport
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::Parts
    KF5::WidgetsAddons
    KF5::XmlGui
)

=== krusader/UserAction/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(UserAction_SRCS
    kraction.cpp
    expander.cpp
    useractionpopupmenu.cpp
    kractionbase.cpp
    useraction.cpp)

add_library(UserAction STATIC ${UserAction_SRCS})

target_link_libraries(UserAction
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::Parts
    KF5::WidgetsAddons
    KF5::XmlGui
)

=== krusader/DiskUsage/radialMap/CMakeLists.txt ===
set(radialMap_SRCS
    radialMap/widget.cpp
    radialMap/builder.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    radialMap/segmentTip.cpp)

=== debian/changelog ===
krusader (2:2.6.0-1) unstable; urgency=medium

  * New upstream release (2.6.0).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update Vcs fields, migrate to git
  * Migrate to automatic dbgsym packages
  * debian/watch: Use https
  * Drop upstream patches
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 17:45:30 +0200

=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kio-dev (>= 5.23~),
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.5~),
               zlib1g-dev
Standards-Version: 4.0.0
Homepage: http://www.krusader.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git

Package: krusader
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          p7zip,
          rpm,
          unace,
          unrar | unrar-free | rar,
          unzip,
          zip
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='krusader-dbg (<= 2:2.6.0-1~~)'

override_dh_auto_test:
	# Disable unittests
	:

## krusader 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 project(krusader)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.2.0")
 
-set(VERSION "2.6.0" )
-set(RELEASE_NAME "Stiff Challenges")
+set(VERSION "2.7.1")
+set(RELEASE_NAME "Peace of Mind")
 
-# Manages plugin loading. For more details it can be seen https://www.kde.org/announcements/kde-frameworks-5.5.0.php
-# https://github.com/KDE/partitionmanager/blob/master/CMakeLists.txt http://commits.kde.org/kimtoy/1e62777affb0e072f3462e80bc271f3cba661104
-set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)
+if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
+    message(WARNING "CMAKE_INSTALL_PREFIX is not set to a standard location (/usr or /usr/local), krarc:/ protocol may not work. To force installing plugins into standard location use -DKDE_INSTALL_USE_QT_SYS_PATHS=true")
+endif()
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -91,8 +90,14 @@
 # For security reasons, absolute kdesu path is set at build time and is not
 # configurable.
 if(NOT KDESU_PATH)
-    set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
+    if(EXISTS "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
+      # Used by Arch distribution
+      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
+    else()
+      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
+    endif()
 endif()
+message("kdesu path set: ${KDESU_PATH}")
 add_definitions( -DKDESU_PATH="${KDESU_PATH}" )
 
 add_definitions(${QT_DEFINITIONS} ${KF5_DEFINITIONS})

=== doc-extras/CMakeLists.txt ===
#add_subdirectory(ru)

=== pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-kr_combine.png
    16-actions-kr_comparedirs.png
    16-actions-kr_diskusage.png
    16-actions-kr_mountman.png
    16-actions-kr_syncbrowse_off.png
    16-actions-kr_syncbrowse_on.png
    16-actions-kr_unselect.png
    22-actions-kr_combine.png
    22-actions-kr_comparedirs.png
    22-actions-kr_diskusage.png
    22-actions-kr_mountman.png
    22-actions-kr_unselect.png
    32-actions-kr_combine.png
    32-actions-kr_comparedirs.png
    32-actions-kr_diskusage.png
    32-actions-kr_mountman.png
    32-actions-kr_unselect.png
    DESTINATION ${DATA_INSTALL_DIR}/krusader/icons
    THEME hicolor
)

=== krusader/Konfigurator/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(Konfigurator_SRCS
    kgcolors.cpp
    kgdependencies.cpp
    konfiguratorpage.cpp
    konfiguratoritems.cpp
    konfigurator.cpp
    kgstartup.cpp
    kgpanel.cpp
    kggeneral.cpp
    kgarchives.cpp
    kgadvanced.cpp
    kguseractions.cpp
    kgprotocols.cpp
    krresulttable.cpp
    krresulttabledialog.cpp
    searchobject.cpp)

add_library(Konfigurator STATIC ${Konfigurator_SRCS})

target_link_libraries(Konfigurator
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::WidgetsAddons
    KF5::GuiAddons
)

=== krusader/UserAction/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     KF5::CoreAddons
     KF5::I18n
     KF5::IconThemes
+    KF5::Notifications
     KF5::Parts
     KF5::WidgetsAddons
     KF5::XmlGui

=== debian/changelog ===
krusader (2:2.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:09:13 +0800

krusader (2:2.7.1-1) unstable; urgency=medium

  * Update Maintainer, alioth is gone
  * Update source url in the debian/copyright
  * New upstream release (2.7.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 25 Aug 2018 10:20:12 +0200

krusader (2:2.7.0-1) unstable; urgency=medium

  * New upstream release (2.7.0).
  * Update uploaders list as requested by MIA team (Closes: #879370)
  * Add kde-cli-tools as recommends.
    kde-cli-tools ships kdesu which is needed for the "Start Root Mode
    Krusader" menu option.
  * Update recommends/suggests with upstream's INSTALL
  * Update Vcs fields
  * Bump Standards-Version to 4.1.4.
  * Use https url in the debian/copyright Format
  * Migrate to dh using compat 11.
    Also drop parallel option, no longer needed for dh >= 11, and list-missing,
    not really needed as we don't have an install file.
  * Drop dh_auto_test override
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 May 2018 09:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: krusader
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Mark Purcell <msp@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.7.0~),
                libkf5archive-dev,
                libkf5bookmarks-dev,
@@ -30,19 +28,21 @@
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.5~),
-               zlib1g-dev
-Standards-Version: 4.0.0
+               zlib1g-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.krusader.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/krusader.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/krusader
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/krusader.git
 
 Package: krusader
 Architecture: any
 Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
+Recommends: kde-cli-tools, keditbookmarks, kio-extras
 Suggests: arj,
           ark,
           bzip2,
           cpio,
+          kate,
           kdiff3 | kompare | xxdiff,
           kmail,
           konsole,
@@ -55,7 +55,7 @@
           unace,
           unrar | unrar-free | rar,
           unzip,
-          zip
+          zip,
 Description: twin-panel (commander-style) file manager
  Krusader is a simple, easy, powerful, twin-panel (commander-style) file
  manager, similar to Midnight Commander (C) or Total Commander (C).

## krusader 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
-set(VERSION "2.7.1")
+set(VERSION "2.7.2")
 set(RELEASE_NAME "Peace of Mind")
 
 if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
@@ -30,7 +30,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 
-find_package(Qt5 5.5 CONFIG REQUIRED
+find_package(Qt5 5.9 CONFIG REQUIRED
   Concurrent
   Core
   Gui
@@ -125,6 +125,10 @@
     add_definitions(-DHAVE_POSIX_ACL)
 endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
 
+if (CMAKE_COMPILER_IS_GNUCXX)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" CACHE STRING "" FORCE)
+endif()
+
 #include(ConfigureChecks.cmake)
 
 add_subdirectory(krusader)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krusader)
kdoctools_create_manpage(man-krusader.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== iso/CMakeLists.txt ===
include(FindZLIB)

include(libisofs/CMakeLists.txt)

include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(kio_iso_PART_SRCS
    kisodirectory.cpp
    kisofile.cpp
    qfilehack.cpp
    kiso.cpp
    iso.cpp
    ../krusader/krdebuglogger.cpp
)

add_library(kio_iso MODULE ${kio_iso_PART_SRCS} ${libisofs_SRCS})

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

target_link_libraries(kio_iso
    KF5::Archive
    KF5::ConfigCore
    KF5::KIOCore
    ${ZLIB_LIBRARY}
)

install(TARGETS kio_iso DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES iso.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kio_isorc DESTINATION ${CONFIG_INSTALL_DIR})

=== krArc/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(kio_krarc_PART_SRCS
    krarc.cpp
    krarcbasemanager.cpp
    krlinecountingprocess.cpp
    ../krusader/krdebuglogger.cpp
)

add_library(kio_krarc MODULE ${kio_krarc_PART_SRCS})

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

# TODO porting : new variables needed?
target_link_libraries(kio_krarc
    Qt5::Gui
    KF5::Archive
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
)

install(TARGETS kio_krarc DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES krarc.protocol DESTINATION  ${SERVICES_INSTALL_DIR})

=== krusader/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,8 @@
 
 set(krusader_SRCS
     krglobal.cpp
+    icon.cpp
+    filelisticon.cpp
     actionsbase.cpp
     tabactions.cpp
     kractions.cpp
@@ -38,7 +40,6 @@
     krusaderview.cpp
     krusader.cpp
     krslots.cpp
-    kicons.cpp
     krdebuglogger.cpp
 )
 
@@ -51,6 +52,7 @@
 
 target_link_libraries(krusader
                       Panel
+                      PanelView
                       BookMan
                       Dialogs
                       DiskUsage

=== iso/libisofs/CMakeLists.txt ===
set(libisofs_SRCS
    libisofs/isofs.c)

=== krusader/ActionMan/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     KF5::IconThemes
     KF5::KIOCore
     KF5::KIOWidgets
+    KF5::Notifications
     KF5::Parts
     KF5::WidgetsAddons
 )

=== krusader/Archive/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(Archive_SRCS
    abstractthreadedjob.cpp
    krarchandler.cpp
    kr7zencryptionchecker.cpp
    packjob.cpp
    ../../krArc/krarcbasemanager.cpp
    ../../krArc/krlinecountingprocess.cpp
)

add_library(Archive STATIC ${Archive_SRCS})

target_link_libraries(Archive
    KF5::Archive
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Wallet
)

=== krusader/BookMan/CMakeLists.txt ===
set(BookMan_SRCS
    krbookmark.cpp
    krbookmarkbutton.cpp
    krbookmarkhandler.cpp
    kraddbookmarkdlg.cpp)

add_library(BookMan STATIC ${BookMan_SRCS})

target_link_libraries(BookMan
    KF5::Bookmarks
    KF5::Completion
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::XmlGui
)

=== krusader/DiskUsage/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

include(radialMap/CMakeLists.txt)
include(filelightParts/CMakeLists.txt)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/filelightParts)

set(DiskUsage_SRCS
    diskusagegui.cpp
    diskusage.cpp
    dulistview.cpp
    dulines.cpp
    dufilelight.cpp )

add_library(DiskUsage STATIC ${DiskUsage_SRCS} ${radialMap_SRCS} ${filelightParts_SRCS})

target_link_libraries(DiskUsage
    KF5::ConfigWidgets
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

=== krusader/FileSystem/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
     krtrashhandler.cpp
     sizecalculator.cpp
     virtualfilesystem.cpp
-    ../../krArc/krlinecountingprocess.cpp
 )
 
 add_library(FileSystem STATIC ${FileSystem_SRCS})

=== krusader/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
     krusaderstatus.cpp
     kfnkeys.cpp
     kcmdline.cpp
-    syncbrowsebutton.cpp
     profilemanager.cpp
     krremoteencodingmenu.cpp
     krtreewidget.cpp

=== debian/changelog ===
krusader (2:2.7.2-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Use canonical Salsa URLs in control file.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Explicitly add the gettext build dependency.
  * Add Rules-Requires-Root: no.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.60.0-2.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove outdated Source in copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 11:48:12 +0100

krusader (2:2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the qtbase5-dev build dependency to 5.9, according to the upstream
    build system.
  * Add the libacl1-dev, and libattr1-dev build dependencies to enable ACL
    support in file synchronization.
  * Link in as-needed mode.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop installing the TODO file as documentation, as it is not useful for
    users.
  * Limit the rar suggest only on amd64, and i386, i.e. the only architectures
    where it exists.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Sep 2019 08:22:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,11 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
+               gettext,
+               libacl1-dev,
+               libattr1-dev,
                libkf5archive-dev,
                libkf5bookmarks-dev,
                libkf5codecs-dev,
@@ -27,12 +30,13 @@
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.5~),
+               qtbase5-dev (>= 5.9~),
                zlib1g-dev,
-Standards-Version: 4.1.4
-Homepage: http://www.krusader.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/krusader
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/krusader.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.krusader.org
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git
 
 Package: krusader
 Architecture: any
@@ -53,7 +57,7 @@
           p7zip,
           rpm,
           unace,
-          unrar | unrar-free | rar,
+          unrar | unrar-free | rar [amd64 i386],
           unzip,
           zip,
 Description: twin-panel (commander-style) file manager

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='krusader-dbg (<= 2:2.6.0-1~~)'

## krusader 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(krusader)

set(VERSION "2.8.0")
set(RELEASE_NAME "A New Day")

set(MIN_QT_VERSION 5.12)
set(MIN_KF_VERSION 5.68)


# ===== Packages =====

find_package(ECM ${MIN_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.68")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)

include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${MIN_QT_VERSION} CONFIG REQUIRED
  Concurrent
  Core
  Gui
  DBus
  Widgets
  PrintSupport
  Xml
)

find_package(KF5 ${MIN_KF_VERSION} REQUIRED COMPONENTS
  Archive
  Bookmarks
  Codecs
  Completion
  CoreAddons
  Config
  DocTools
  I18n
  IconThemes
  ItemViews
  KIO
  Notifications
  Parts
  Solid
  TextWidgets
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
  GuiAddons
)


# ===== Get GIT revision =====

execute_process(COMMAND git log --pretty=format:%h -n 1
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                OUTPUT_VARIABLE GIT_REVISION
                ERROR_QUIET)

# ===== Definitions =====

# Synchronizer is enabled by default, unless disabled from the command line (-DENABLE_SYNCHRONIZER=OFF)
option(ENABLE_SYNCHRONIZER "Enable Synchronizer" ON)

# If an old setting is being used, use the setting that complies with the structure of other Krusader settings.
if(ENABLE_SYNCHRONIZER)
    set(SYNCHRONIZER_ENABLED TRUE)
    add_definitions(-DSYNCHRONIZER_ENABLED)
else()
    set(SYNCHRONIZER_ENABLED FALSE)
endif()

# For security reasons, absolute kdesu path is set at build time and is not configurable.
if(NOT KDESU_PATH)
    if(EXISTS "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
      # Used by Arch distribution
      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBDIR}/kf5/kdesu")
    else()
      set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/kdesu")
    endif()
endif()
add_definitions(-DKDESU_PATH="${KDESU_PATH}")
message(STATUS "kdesu path has been hard-coded: ${KDESU_PATH}")

add_definitions(${QT_DEFINITIONS} ${KF5_DEFINITIONS})

add_definitions(-DKRARC_ENABLED)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Enable Krarc query, since MIN_KF_VERSION >= 5.23
add_definitions(-DKRARC_QUERY_ENABLED)


# ===== Additional checks =====

if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR
        AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
    message(WARNING "CMAKE_INSTALL_PREFIX is not set to a standard location (/usr or /usr/local), \
                     krarc:/ protocol may not work. To force installing plugins into standard location \
                     use -DKDE_INSTALL_USE_QT_SYS_PATHS=true")
endif()


# ===== ACL support =====

check_include_files(attr/libattr.h HAVE_ATTR_LIBATTR_H)
check_include_files(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_files(sys/acl.h HAVE_SYS_ACL_H)
check_include_files(acl/libacl.h HAVE_ACL_LIBACL_H)

if (HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)
    set(ACL_HEADERS_FOUND TRUE)
endif(HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)

if (ACL_HEADERS_FOUND)
    find_library(ACL_LIBS NAMES acl)
    find_library(ATTR_LIBS NAMES attr)
endif(ACL_HEADERS_FOUND)

if (ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
    set(ACL_FOUND TRUE)
    set(ACL_LIBS ${ACL_LIBS} ${ATTR_LIBS})
    message(STATUS "Found ACL support: ${ACL_LIBS}")
    add_definitions(-DHAVE_POSIX_ACL)
endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)


# ===== Compile options =====

if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -fno-common -ansi -Wpedantic -Wconversion -Wpointer-arith \
                         -Wcast-qual -Wcast-align -Wwrite-strings -Wsuggest-override -Wfloat-equal \
                         -Woverloaded-virtual -Wundef -Wlogical-op -Wuninitialized -Wredundant-decls -Wnoexcept \
                         -Wnon-virtual-dtor -Wctor-dtor-privacy -Wzero-as-null-pointer-constant" CACHE STRING "" FORCE)
endif()


# ===== Subdirectories =====

add_subdirectory(app)
add_subdirectory(doc/handbook)
add_subdirectory(plugins/iso)
add_subdirectory(plugins/krarc)


# ===== Translations =====

ki18n_install(po)
kdoctools_install(po)


# ===== Output configuration =====

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/Dialogs/CMakeLists.txt ===
set(Dialogs_SRCS
    krsqueezedtextlabel.cpp
    packgui.cpp
    packguibase.cpp
    newftpgui.cpp
    krspwidgets.cpp
    krspecialwidgets.cpp
    krpleasewait.cpp
    krmaskchoice.cpp
    krdialogs.cpp
    kurllistrequester.cpp
    popularurls.cpp
    checksumdlg.cpp
    percentalsplitter.cpp
)

add_library(Dialogs STATIC ${Dialogs_SRCS})

target_link_libraries(Dialogs
    KF5::Completion
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Parts
    KF5::WidgetsAddons
)

=== app/Filter/CMakeLists.txt ===
set(Filter_SRCS
    filtersettings.cpp
    advancedfilter.cpp
    generalfilter.cpp
    filtertabs.cpp
    filterdialog.cpp)

add_library(Filter STATIC ${Filter_SRCS})

target_link_libraries(Filter
    Dialogs
    KF5::Codecs
    KF5::ConfigCore
    KF5::I18n
    KF5::IconThemes
    KF5::WidgetsAddons
)

=== app/JobMan/CMakeLists.txt ===
set(JobMan_SRCS
    jobman.cpp
    krjob.cpp)

add_library(JobMan STATIC ${JobMan_SRCS})

target_link_libraries(JobMan
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

=== app/Synchronizer/CMakeLists.txt ===
set(Synchronizer_SRCS
    synchronizedialog.cpp
    synchronizer.cpp
    synchronizergui.cpp
    feedtolistboxdialog.cpp
    synchronizertask.cpp
    synchronizerdirlist.cpp)

add_library(Synchronizer STATIC ${Synchronizer_SRCS})

target_link_libraries(Synchronizer
    Dialogs
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::GuiAddons
)

=== plugins/krarc/CMakeLists.txt ===
set(kio_krarc_PART_SRCS
    krarc.cpp
    krarcbasemanager.cpp
    krlinecountingprocess.cpp
    ../../app/krdebuglogger.cpp
)

kcoreaddons_add_plugin(kio_krarc SOURCES ${kio_krarc_PART_SRCS} INSTALL_NAMESPACE "kf5/kio")

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

# TODO porting : new variables needed?
target_link_libraries(kio_krarc
    Qt5::Gui
    KF5::Archive
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
)

=== debian/changelog ===
krusader (2:2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.12
    - bump KF packages to 5.68
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update standards version to 4.6.1, no changes needed.
  * Drop the migration from krusader-dbg, no more needed after two Debian stable
    releases.
  * Rename debian/docs to debian/krusader.docs, to make it clearer (and
    consistent with other files) to which package it refers to.
  * Drop the NEWS file, as it is old and no more needed.
  * Update lintian overrides.
  * Stop installing "FAQ" as documentation, as it was dropped.
  * Minor change in copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Nov 2022 07:43:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,37 +2,37 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.68.0~),
                gettext,
                libacl1-dev,
                libattr1-dev,
-               libkf5archive-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5kio-dev (>= 5.23~),
-               libkf5notifications-dev,
-               libkf5parts-dev,
-               libkf5solid-dev,
-               libkf5textwidgets-dev,
-               libkf5wallet-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5archive-dev (>= 5.68.0~),
+               libkf5bookmarks-dev (>= 5.68.0~),
+               libkf5codecs-dev (>= 5.68.0~),
+               libkf5completion-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5doctools-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5itemviews-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5notifications-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5solid-dev (>= 5.68.0~),
+               libkf5textwidgets-dev (>= 5.68.0~),
+               libkf5wallet-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5windowsystem-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9~),
+               qtbase5-dev (>= 5.12~),
                zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.krusader.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
